Rooms
Video rooms, bookable room events, and their bookings. Read-only.
/roomsList rooms
Returns the organization's video rooms. Read-only. Requires scope: rooms:read.
Parameters
Query
statusResponse 200
Errors
/rooms/{id}Retrieve a room
Returns a single room by id. A record belonging to another organization returns 404 rather than 403. Requires scope: rooms:read.
Parameters
Path
idrequiredResponse 200
idobjectnamestatusparticipantCountactiveSessionCountcreatedAtendedAtErrors
/room-eventsList room events
Returns bookable room event types - the meeting types invitees can schedule. Read-only. Requires scope: rooms:read.
Parameters
Query
typeResponse 200
Errors
/room-events/{id}Retrieve a room event
Returns a single room event by id. A record belonging to another organization returns 404 rather than 403. Requires scope: rooms:read.
Parameters
Path
idrequiredResponse 200
idobjectnamedescriptiontypedurationMinuteshostCountcreatedAtupdatedAtErrors
/room-bookingsList room bookings
Returns scheduled room bookings, including who booked and when. Read-only. Requires scope: rooms:read.
Parameters
Query
roomIdResponse 200
Errors
/room-bookings/{id}Retrieve a room booking
Returns a single room booking by id. A record belonging to another organization returns 404 rather than 403. Requires scope: rooms:read.
Parameters
Path
idrequiredResponse 200
idobjectnameemailhostNameroomIdroomTypestartAtdurationMinutesinviteeTimezonenotescreatedAt